Page MenuHomePhabricator

Page Previews do not require TextExtracts & PageImages when RestbaseAPI is used.
Closed, ResolvedPublic2 Story Points

Description

Problem

Currently Page-Previews has a hard dependency on TextExtracts and PageImages but those are required only when PopupsGateway is set to mwApiPlain.

We shouldn't depend on extensions that are not required to run. RestbaseHTML is a default gateway on production wikis.

Developer notes

Require TextExtracts and PageImages only when gateway is set to mwApiPlain.
Logic is inside PopupsContext::areDependenciesMet and will need tests.

Event Timeline

pmiazga created this task.Mar 27 2018, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2018, 2:57 PM
pmiazga updated the task description. (Show Details)Mar 27 2018, 2:57 PM
ovasileva triaged this task as Normal priority.Mar 27 2018, 3:07 PM
ovasileva moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Aklapper renamed this task from Page Preveiws do not require TextExtracts & PageImages when RestbaseAPI is used. to Page Previews do not require TextExtracts & PageImages when RestbaseAPI is used..Mar 27 2018, 3:37 PM
Jdlrobson updated the task description. (Show Details)Mar 27 2018, 4:40 PM
Jdlrobson set the point value for this task to 2.
pmiazga claimed this task.Mar 28 2018, 10:41 PM
pmiazga moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

Change 422581 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/Popups@master] PopupsContext::areDependenciesMet should respect PopupsGateway config

https://gerrit.wikimedia.org/r/422581

pmiazga removed pmiazga as the assignee of this task.Mar 28 2018, 10:55 PM
pmiazga moved this task from Doing to Needs Code Review on the Readers-Web-Kanbanana-Board-Old board.

Change 422581 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] PopupsContext::areDependenciesMet should respect PopupsGateway config

https://gerrit.wikimedia.org/r/422581

Jdlrobson closed this task as Resolved.Mar 29 2018, 4:46 PM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

This is a technical task so skipping QA.
I've verified that I can disable TextExtracts and PageImages locally and Page previews continues to work when REST is installed.
When mwAPI is being used it disables itself in this combination (turning back on it works again).

This is beautiful I now no longer have to run TextExtracts locally! ;-) Thanks!